Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236293 - Fedora Core 6 Live doesn't automaticly swap on linux swap partition
Summary: Fedora Core 6 Live doesn't automaticly swap on linux swap partition
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 6
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 21:23 UTC by Paul van Gelder
Modified: 2013-03-06 03:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-13 15:17:03 UTC


Attachments (Terms of Use)

Description Paul van Gelder 2007-04-12 21:23:19 UTC
Description of problem:
The harddisk of my pc has a linux ext3 partition and a linux swap partition. The
Fedora Core 6 Live CD doesn't create a swap-file.

Version-Release number of selected component (if applicable):
FC-6-i386-livecd-1.iso

How reproducible:
Every time after booting the liveCD, no swap

Steps to Reproduce:
1. boot live CD
2.
3.
  
Actual results:
No swap

Expected results:
Swap on /dev/hda5

Additional info:
The command 'swapon /dev/hda5' takes care of the problem.
Ps. just guessing on the component.

Comment 1 Jeremy Katz 2007-04-13 14:15:20 UTC
This is somewhat intentional so that we don't end up disturbing the state at all
of an existing systems.  But at the same time, I can definitely see the value in
enabling swap, especially on systems with "less" memory.



Comment 2 Jane Dogalt 2007-07-13 02:58:42 UTC
(In reply to comment #1)
> This is somewhat intentional so that we don't end up disturbing the state at all
> of an existing systems.  But at the same time, I can definitely see the value in
> enabling swap, especially on systems with "less" memory.


I'm not sure how to check, but you would definitely want to make this
conditional on the swap partition not containing hibernation data from an
existing system.



Comment 3 Jeremy Katz 2007-09-13 15:17:03 UTC
The Fedora 8 live CD will auto-enable swap (unless otherwise requested)


Note You need to log in before you can comment on or make changes to this bug.